Description: Est-il possible d'avoir un exemple pour I'utilisation de \AMCsection.

Je suis parti du code du post #102 :

J'ai testé ceci qui ne fonctionne pas:
<pre>

\AMCsection{P1}

\insertgroup{CM}

\AMCsection{P2}

\AMCnumero{1}

\insertgroup{US}

\clearpage

</pre>

En attendant, je fais comme ceci pour faire apparaitre les titres des sections dans les questions mais c'est un
peu lourd:

<pre>

\usepackage{ifthen}

\newcounter{ctProb}

\newcommand{\titre}[ 1]{$\ifthenelse{#1=1}{CM}{US}$}
\deNAMCformQuestion#1{\vspace{\AMCformVSpace}\par{\bf
\ifthenelse{#1=1}{\addtocounter{ctProb}{1}\titre{\value{ctProb}}\\
\indent}{})\titre{\value{ctProb}}\ifthenelse{#1<10}{\phantom{0}}{}#1}

</pre>

History

04/11/2013 11:01 am - Alexis Bienveniie

- Description changed from Est-il possible d'avoir un exemple pour I'utilisation de \AMCsection.

Je suis parti du code du post#102:
http://project.auto-multiple-choice.net/issues/102

J'ai testA®© ceci qui ne fonctionne pas:
<pre>

\AMCsection{P1}

linsertgroup{CM}

\AMCsection{P2}

\AMCnumero{1}

linsertgroup{US}

\clearpage

</pre>

En attendant, je fais comme ceci pour faire apparaitre les titres des sections dans les questions mais c'est un peu lourd:
<pre>

\usepackagefifthen}
\newcounter{ctProb}
\newcommand{\titre}[1]{$\ifthenelse{#1=1}{ CM}{US}$}

\deflAMCformQuestion#1{\vspace{\AMCformVSpace}\par{\bf
lifthenelse{#1=1}{\addtocounter{ctProb}{ 1}\titre{\value{ctProb}}\\ \indent}{}}\titre{\value{ctProb}}\ifthenelse{#1<10}{\phantom{0}}{}#1}
</pre> to Est-il possible d'avoir un exemple pour I'utilisation de \AMCsection.

Je suis parti du code du post #102 :

J'ai testA®© ceci qui ne fonctionne pas:
<pre>

\AMCsection{P1}

linsertgroup{CM}

\AMCsection{P2}

\AMCnumero{1}

linsertgroup{US}

\clearpage

</pre>

En attendant, je fais comme ceci pour faire apparaitre les titres des sections dans les questions mais c'est un peu lourd:

<pre>
\usepackagefifthen}
\newcounter{ctProb}
\newcommand{\titre}[1]{$\ifthenelse{#1=1}{ CM}{US}$}

\def\AMCformQuestion#1{\vspace{\AMCformVSpace}\par{\bf
lifthenelse{#1=1}{\addtocounter{ctProb}{1}\titre{\value{ctProb}}\| \indent}{}}\titre{\value{ctProb}}\ifthenelse{#1<10}{\phantom{0}}{}#1}

</pre>

04/11/2013 11:02 am - Alexis Bienveniie
> J'ai testé ceci qui ne fonctionne pas:

Pouvez-vous nous en dire plus (messages d'erreur, résultat non attendu, etc.) ?

04/11/2013 02:19 pm - Benoit PIERRET

Merci pour la réponse trés rapide!

Avec:

<pre>
\section{P1}
\insertgroup{CM}
\section{P2}
\AMCnumero{1}
\insertgroup{US}

\clearpage
</pre>

"Mettre a jour les document" se passe correctement.

Avec le code de mon premier post, j'ai:

> _

> 2 erreurs lors de la compilation LaTeX (sujet)
> Undefined control sequence.

> Undefined control sequence._
Je peux fournir le fichier source si nécessaire.

04/11/2013 02:34 pm - Alexis Bienveniie
Quelle version d'AMC utilisez-vous ? La commande @\AMCsection@ est apparue a la révision r1242.

04/11/2013 02:42 pm - Benoit PIERRET
J'utilise:
Auto Multiple Choice 1.1.2 (svn:1283)

04/11/2013 02:48 pm - Alexis Bienveniie

D'accord. C'est une version qui a quitté la branche de développement lors de la publication de la version 1.1 & la révision 1076. Elle n'integre donc pas
la commande @\AMCsection@. Il faut chercher une version supérieure a 1.1.1242. Sur fedora, vous pouvez par exemple recompiler la version
1.1.1359 a partir de I'archive précompilée qui est actuellement disponible dans I'espace de téléchargement (voir
http://home.gna.org/auto-gcm/download-fedora).

04/11/2013 09:17 pm - Benoit PIERRET

Ga fonctionne avec la version 1.1.1359 avec le premier code cité plus haut. Merci.
Par contre, il y a un retrait a chaque questiont.

Voir ci-dessous:

Ihttp://bepierret.free.fr/femp/amc2.png!

04/11/2013 09:42 pm - Alexis Bienveniie
C'est parce que LaTeX ne met pas de retrait sur le premier paragraphe d'une section. Vous pouvez par exemple annuler tous les retraits de paragraphe
: @\setlength{\parindent{Opt}@

04/13/2013 08:55 am - Benoit PIERRET
Merci. \setlength{\parindent}{Opt} supprime bien le décalage de la 1ere question.

Derniére question: pour traiter 800 copies d'étudiants, vaut-il mieux travailler par groupes de 100 copies ou le traitement de 800 copies en un seul bloc
est envisageable(puissance de calcul, traitement des copies non reconnue...)?

J'utilise un numéro d'étudiant a 7 chiffres, questions séparées, scan en pdf de 25 a 100 copies, questions non mélangées car imprimerie en offset.

04/13/2013 02:27 pm - Alexis Bienveniie

J'ai essayé de faire en sorte qu'on puisse traiter de maniére raisonnable un nombre important de copies (avec 800 ¢a devrait aller), mais il vaut mieux
utiliser une version récente d'AMC. Ceci dit, je n'ai pas vraiment testé... Si vous ne produisez qu'un seul sujet (avec une seule page de réponses) que
vous photocopiez ensuite, je vous propose la méthode suivante :

* juste avant de faire I'impression et les photocopies, sauvegardez le projet (par exemple en fabriquant un fichier ZIP qui contient la totalité du répertoire
projet).

* essayez avec vos 800 copies sur un projet unique.

* en cas de probleme, vous pourrez dupliquer le projet en autant de projets identiques que souhaité a partir de l'archive, et donner a chacun un petit
(100 ou 200) nombre de copies.

N'hésitez pas a utiliser la version 1.1.1359 (ou supérieure), et retourner s'il vous plait nous dire comment cela s'est passé.

05/29/2013 08:22 am - Alexis Bienveniie

- % Done changed from 0 to 100

- Status changed from New to Closed

07/12/2025 3/3



